services:
  multicaster:
    container_name: multicaster-test
    privileged: true        # Grants full access to all devices (for serial access)
    restart: unless-stopped
    ports:
      - "5000:5000" 
    build:
      dockerfile: Dockerfile
      ssh: 
        - default=~/.ssh/id_ed25519 
    volumes:
      - "/dev/serial:/dev/serial" 
    #devices:
      # - /dev/serial/by-id/usb-ZEPHYR_Zephyr_HCI_UART_sample_81BD14B8D71B5662-if00
    environment:
      LOG_LEVEL: INFO
    
    #vpn only seems to initiate handshake after some outgoing connection is being made
    #command: >
    #  bash -c "(while true; do ping -c 1 vpn.pstruebi.xyz || echo 'Ping failed'; sleep 60; done) & python ./auracast/multicast_server.py"
    command: python ./auracast/multicast.py # continously streaming test app
